For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get status of zone transfer

Get status of zone transfer. Note that Cloud DNS relies on the following Anycast addresses for sending DNS notify messages. Make sure to whitelist on your end:

  • IPv4: 212.227.123.25

  • IPv6: 2001:8d8:fe:53::5cd:25

get
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
secondaryZoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
200

Successful operation.

application/json

Indicates, for secondary zones, the transfer status for each one single IP defined on primaryIps field

typestring · enumRequiredPossible values:
get/secondaryzones/{secondaryZoneId}/axfr
GET /secondaryzones/{secondaryZoneId}/axfr HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "type": "collection",
  "items": [
    {
      "primaryIp": "1.2.3.4",
      "status": "text",
      "errorMessage": "Connection with primary nameserver could not be   established"
    }
  ]
}

Last updated

Was this helpful?